// pages/tags/tags.js
const net = require("../../utils/net.js");
const { api_topic_list } = require("../../utils/api.js");
Page({
  /**
   * 页面的初始数据
   */
  data: {
    tagsArr: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    this.loadTagsData({
      isRefresh: true,
    });
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this._isload) {
      return 0;
    }
    this._isload = true;
    this.data.page += 1;
    this.loadTagsData({
      isRefresh: false,
    });
  },

  loadTagsData(obj) {
    const { page, limit, tagsArr } = this.data;
    let params = {};
    params.url = api_topic_list;
    params.data = {
      page: page,
      limit: limit,
    };
    net.req(params, true).then(
      (data) => {
        if (obj.isRefresh) {
          this.setData({
            tagsArr: data.list,
          });
          this._refresh = false;
        } else {
          if (data.list.length) {
            this.setData({
              tagsArr: tagsArr.concat(data.list),
            });
          }
          this._isload = false;
        }
      },
      (e) => {
        obj.isRefresh ? (this._refresh = false) : (this._isload = false);
      }
    );
  },

  tapCellAction(e) {
    const { item } = e.currentTarget.dataset;
    const eventChannel = this.getOpenerEventChannel();
    eventChannel && eventChannel.emit("acceptDataFromTagsPage", item);
    wx.navigateBack();
  },
});
